Issue 51045 - preserve view settings when switching documents from/to readonly mode
Summary: preserve view settings when switching documents from/to readonly mode
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: current
Hardware: All All
: P4 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-21 15:34 UTC by Frank Schönheit
Modified: 2013-02-07 22:32 UTC (History)
1 user (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2005-06-21 15:34:21 UTC
scenario:
I get a document (say, meeting minutes) for reading which has a strange view
setting (In particular, it's zoom is set to "Optimal" or "Page Width", which I
personally find unreadable).

my first action: sanitize the view settings.
my second action: switch the document to readonly, to increase readability (e.g.
because online spell checking isn't done then, helper lines which are only
necessary for editing the document are not visible, and the like)

Unfortunately, upon switching the document to readonly, the view settings are
restored to the original state (probably because internally, the document is
simply re-loaded, including the view settings), which simply wastes my time
because I have to restore it again ..

IMO, we should preserve view settings on switching the mode.
Comment 1 ace_dent 2008-05-16 00:54:26 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html